#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	python3-mdit_py_plugins
Version		:	0.4.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Collection of plugins for markdown-it-py

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/mdit-py-plugins/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

Requires	:	libyaml

#-----------------------------------------------------------------------------
%description
Collection of core plugins for markdown-it-py.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md
%license LICENSE
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/admon/LICENSE
%{python3_sitelib}/%{sname}/admon/port.yaml
%{python3_sitelib}/%{sname}/admon/*.py
%{python3_sitelib}/%{sname}/admon/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/amsmath/*.py
%{python3_sitelib}/%{sname}/amsmath/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/anchors/*.py
%{python3_sitelib}/%{sname}/anchors/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/attrs/*.py
%{python3_sitelib}/%{sname}/attrs/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/container/README.md
%{python3_sitelib}/%{sname}/container/LICENSE
%{python3_sitelib}/%{sname}/container/port.yaml
%{python3_sitelib}/%{sname}/container/*.py
%{python3_sitelib}/%{sname}/container/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/deflist/README.md
%{python3_sitelib}/%{sname}/deflist/LICENSE
%{python3_sitelib}/%{sname}/deflist/port.yaml
%{python3_sitelib}/%{sname}/deflist/*.py
%{python3_sitelib}/%{sname}/deflist/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/dollarmath/*.py
%{python3_sitelib}/%{sname}/dollarmath/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/field_list/*.py
%{python3_sitelib}/%{sname}/field_list/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/footnote/LICENSE
%{python3_sitelib}/%{sname}/footnote/port.yaml
%{python3_sitelib}/%{sname}/footnote/*.py
%{python3_sitelib}/%{sname}/footnote/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/front_matter/LICENSE
%{python3_sitelib}/%{sname}/front_matter/port.yaml
%{python3_sitelib}/%{sname}/front_matter/*.py
%{python3_sitelib}/%{sname}/front_matter/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/myst_blocks/*.py
%{python3_sitelib}/%{sname}/myst_blocks/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/myst_role/*.py
%{python3_sitelib}/%{sname}/myst_role/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tasklists/port.yaml
%{python3_sitelib}/%{sname}/tasklists/*.py
%{python3_sitelib}/%{sname}/tasklists/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/texmath/LICENSE
%{python3_sitelib}/%{sname}/texmath/README.md
%{python3_sitelib}/%{sname}/texmath/port.yaml
%{python3_sitelib}/%{sname}/texmath/*.py
%{python3_sitelib}/%{sname}/texmath/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/wordcount/*.py
%{python3_sitelib}/%{sname}/wordcount/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
